Bug 226262 - math/R-cran-truncnorm: Update to 1.0-8
Summary: math/R-cran-truncnorm: Update to 1.0-8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pedro F. Giffuni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-28 14:42 UTC by Pedro F. Giffuni
Modified: 2018-03-08 16:18 UTC (History)
1 user (show)

See Also:


Attachments
Update diff (1.35 KB, patch)
2018-02-28 14:42 UTC, Pedro F. Giffuni
koobs: maintainer-approval+
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2018-02-28 14:42:37 UTC
Created attachment 191079 [details]
Update diff

Minor update.
Use canonical WWW link while here.

Reported by: portscout
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-01 01:45:56 UTC
Reporter is committer (and maintainer), assign accordingly.

@Pedro, Can you please confirm the changes pass QA (portlint, poudriere), I'm happy to provide the Ports approval
Comment 2 Pedro F. Giffuni freebsd_committer 2018-03-01 01:58:08 UTC
(In reply to Kubilay Kocak from comment #1)
I don't have the resources to run poudriere.
I did test portlint -AC and it appears to be fine.
The changes are minor so my build-test on 11-stable should suffice.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-01 02:35:14 UTC
Comment on attachment 191079 [details]
Update diff

Set maintainer approval correctly
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-01 02:36:11 UTC
(In reply to Kubilay Kocak from comment #3)

No problem. I'll QA w/ poudriere when I get home if someone hasn't done so and committed before then. Build tests are great, but packaging and other sanity tests are better :)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-06 05:03:51 UTC
(In reply to Kubilay Kocak from comment #4)

After building gcc/R (disabling X/CAIRO/PANGO/etc) which lightened resources necessary, testing the port in poudriere is pretty quick (and passes).
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-06 05:04:12 UTC
Comment on attachment 191079 [details]
Update diff

Approved by: koobs (ports)
Comment 7 commit-hook freebsd_committer 2018-03-06 18:22:55 UTC
A commit references this bug:

Author: pfg
Date: Tue Mar  6 18:21:52 UTC 2018
New revision: 463737
URL: https://svnweb.freebsd.org/changeset/ports/463737

Log:
  math/R-cran-truncnorm: Update to 1.0-8

  Minor update.
  Use canonical R-cran WWW link while here.

  PR:		226262
  Approved by:	koobs (ports)

Changes:
  head/math/R-cran-truncnorm/Makefile
  head/math/R-cran-truncnorm/distinfo
  head/math/R-cran-truncnorm/pkg-descr
Comment 8 Pedro F. Giffuni freebsd_committer 2018-03-06 19:04:28 UTC
R-cran-Rsolnp and R-cran-Rsolnp depend on this.
Do we have to bump the revisions in those ports?
Comment 9 Pedro F. Giffuni freebsd_committer 2018-03-06 19:05:15 UTC
(In reply to Pedro F. Giffuni from comment #8)
I meant math/R-cran-qualityTools.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-07 07:32:42 UTC
(In reply to Pedro F. Giffuni from comment #8)

Yes if rebuilding those ports (into packages) is required for them to work with the new version. This is true in (at least) cases where API/ABI/shared library versions change.

If required, submit PORTREVISION increment changes to dependent ports with summary "Chase math/R-cran-truncnorm version update 

[1] https://svnweb.freebsd.org/changeset/ports/463737
Comment 11 Pedro F. Giffuni freebsd_committer 2018-03-08 16:18:49 UTC
I think the ABI hasn't changed.